Question regarding to xulrunner 1.9 package in ubuntu.

Zhe Su at
Tue Oct 21 03:02:47 BST 2008

  I'm working on a
depends on xulrunner and spidermonkey (libmozjs). I use ubuntu 8.04
and xulrunner 1.9 as my development environment. The problem is,
is in /usr/lib/xulrunner-1.9.0.x/ subdir, the application can't find it if
rpath is not used. But if rpath is used, it'll be bound to a specific
version of xulrunner, which is not what we want. And there is no way to get
the correct library path of by pkg-config --libs mozilla-js.pc,
which returns /usr/lib/xulrunner-devel-1.9.0.x/lib as the library path,
which is only available in xulrunner-1.9-dev package. So I'm wondering, is
there any solution to solve the linkage problem of libmozjs? Maybe just like
the xpcomglue solution for gtkmozembed.

Thanks a lot.
James Su
-------------- next part --------------
An HTML attachment was scrubbed...

More information about the Ubuntu-mozillateam mailing list